QGIS Application - Bug report #11551
SERVICE parameter is NOT mandatory @ GetMap on WMS 1.3.0
2014-11-04 12:02 PM - Marco Lechner

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19821
Description

Refering to OGC WMS spec 1.3.0 (chapter 7.3.2) the SERVICE parameter is not mandatory (M) for GetMap REQUESTS. It is only M for
GetCapabilities. QGIS returns an Exception when processing a GetMap request without SERVICE parameter. This brakes OGC
compliance! Compare QGIS Server with reference implementation and testcase of http://cite.opengeospatial.org

Try as long as it is available:
http://176.221.43.85/cgi-bin/qgis_mapserv.fcgi?MAP=/data/ogc13.qgs&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;LAYERS=
ite%3ABasicPolygons&#38;STYLES=&#38;CRS=CRS:84&#38;BBOX=-1,-1,1,1&#38;WIDTH=3008#38;HEIGHT=300&#38;FORMAT=inage%

image%2Fjpeg

Btw. GetFeaturelnfo seems to be affected by this as well.

History

#1 - 2015-11-07 11:25 AM - Giovanni Manghi
- Target version deleted (Version 2.6)

#2 - 2015-11-08 03:24 AM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed

fixed in commit:3552b83

2025-12-15 1/1


http://cite.opengeospatial.org
http://176.221.43.85/cgi-bin/qgis_mapserv.fcgi?MAP=/data/ogc13.qgs&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;LAYERS=cite%3ABasicPolygons&#38;STYLES=&#38;CRS=CRS:84&#38;BBOX=-1,-1,1,1&#38;WIDTH=300&#38;HEIGHT=300&#38;FORMAT=image%2Fjpeg
http://176.221.43.85/cgi-bin/qgis_mapserv.fcgi?MAP=/data/ogc13.qgs&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;LAYERS=cite%3ABasicPolygons&#38;STYLES=&#38;CRS=CRS:84&#38;BBOX=-1,-1,1,1&#38;WIDTH=300&#38;HEIGHT=300&#38;FORMAT=image%2Fjpeg
http://176.221.43.85/cgi-bin/qgis_mapserv.fcgi?MAP=/data/ogc13.qgs&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;LAYERS=cite%3ABasicPolygons&#38;STYLES=&#38;CRS=CRS:84&#38;BBOX=-1,-1,1,1&#38;WIDTH=300&#38;HEIGHT=300&#38;FORMAT=image%2Fjpeg

